#!/bin/awk -f
#
function indexi(p1,p2) {
 return int(index(toupper(p1),toupper(p2)));
}
#
BEGIN {
  # 
  cmd="fdisk -l";
  while((cmd | getline cmdline) > 0 ) {
       if (indexi(cmdline,"/dev/sd") == 1 ) {
          space_position=index(cmdline," ");
	  if (space_position > 1) {
	     device_name=substr(cmdline,1,space_position);
	     cmd2=("blkid " device_name);
	     (cmd2|getline cmdline2);
	     close(cmd2);
	     # printf("\n\ncmdline2: %s\n",cmdline2);
	     sub(/UUID=\"[^"]+./,"",cmdline2);
	     # printf("\n\ncmdline3: %s\n",cmdline2);
	     match(cmdline2,/LABEL=\"[^"]+/);
	     LABEL="\tLABEL:  ";
	     if (RSTART > 1 ) {
	        LABEL=("\tLABEL: " substr(cmdline2,RSTART+7,RLENGTH-7));
		}
	     #
	     sub(/LABEL=\"\"/,"",cmdline2)
	     sub(/LABEL=\"[^"]+./,"",cmdline2);
	     # printf("\n\ncmdline4: %s\n",cmdline2);
	     gsub(/"/,"",cmdline2);
	     gsub(/\ [ ]+/," ",cmdline2);
	     gsub(/\:\ /,":\t",cmdline2);
	     if(length(cmdline2) > 6) { printf("\n%-20s %-20s",cmdline2,LABEL); }
	     cmdline2="";
	     }
	}
  }
}
